* Basic Calls (BSEDOS.H)

DosAcknowledgeSignalException(ULONG ulSignalNum);
DosAddMuxWaitSem (HMUX hmux, PSEMRECORD pSemRec);
DosAllocMem(PPVOID ppb, ULONG cb, ULONG flag);
DosAllocSharedMem(PPVOID ppb, PSZ pszName, ULONG cb, ULONG flag);
DosAsyncTimer(ULONG msec, HSEM hsem, PHTIMER phtimer);
DosBeep(ULONG freq, ULONG dur);
DosCallNPipe(PSZ pszName, PVOID pInbuf, ULONG cbIn, PVOID pOutbuf, ULONG cbOut, PULONG pcbActual, ULONG msec);
DosCancelLockRequest(HFILE hFile, PFILELOCK pflLock);
DosClose(HFILE hFile);
DosCloseEventSem (HEV hev);
DosCloseMutexSem (HMTX hmtx);
DosCloseMuxWaitSem (HMUX hmux);
DosCloseQueue(HQUEUE hq);
DosCloseVDD(HVDD hvdd);
DosConnectNPipe(HPIPE hpipe);
DosCopy(PSZ pszOld, PSZ pszNew, ULONG option);
DosCreateDir(PSZ pszDirName, PEAOP2 peaop2);
DosCreateEventSem (PSZ pszName, PHEV phev, ULONG flAttr, BOOL32 fState);
DosCreateMutexSem (PSZ pszName, PHMTX phmtx, ULONG flAttr, BOOL32 fState);
DosCreateMuxWaitSem (PSZ pszName, PHMUX phmux, ULONG cSemRec, PSEMRECORD pSemRec, ULONG flAttr);
DosCreateNPipe(PSZ pszName, PHPIPE pHpipe, ULONG openmode, ULONG pipemode, ULONG cbInbuf, ULONG cbOutbuf, ULONG msec);
DosCreatePipe(PHFILE phfRead, PHFILE phfWrite, ULONG cb);
DosCreateQueue(PHQUEUE phq, ULONG priority, PSZ pszName);
DosCreateThread(PTID ptid, PFNTHREAD pfn, ULONG param, ULONG flag, ULONG cbStack);
DosDebug(PVOID pdbgbuf);
DosDelete(PSZ pszFile);
DosDeleteDir(PSZ pszDir);
DosDeleteMuxWaitSem (HMUX hmux, HSEM hSem);
DosDevConfig(PVOID pdevinfo, ULONG item);
DosDevIOCtl(HFILE hDevice, ULONG category, ULONG function, PVOID pParams, ULONG cbParmLenMax, PULONG pcbParmLen, PVOID pData, ULONG cbDataLenMax, PULONG pcbDataLen);
DosDisConnectNPipe(HPIPE hpipe);
DosDupHandle(HFILE hFile, PHFILE pHfile);
DosEditName(ULONG metalevel, PSZ pszSource, PSZ pszEdit, PBYTE pszTarget, ULONG cbTarget);
DosEnterCritSec(VOID);
DosEnterMustComplete(PULONG pulNesting);
DosEnumAttribute(ULONG  ulRefType, PVOID  pvFile, ULONG  ulEntry, PVOID  pvBuf, ULONG  cbBuf, PULONG pulCount, ULONG  ulInfoLevel);
DosErrClass(ULONG code, PULONG pClass, PULONG pAction, PULONG pLocus);
DosError(ULONG error);
DosExecPgm(PCHAR pObjname, LONG cbObjname, ULONG execFlag, PSZ pArg, PSZ pEnv, PRESULTCODES pRes, PSZ pName);
DosExit(ULONG action, ULONG result);
DosExitCritSec(VOID);
DosExitList(ULONG ordercode, PFNEXITLIST pfn);
DosExitMustComplete(PULONG pulNesting);
DosFSAttach(PSZ pszDevice, PSZ pszFilesystem, PVOID pData, ULONG cbData, ULONG flag);
DosFSCtl(PVOID pData, ULONG cbData, PULONG pcbData, PVOID pParms, ULONG cbParms, PULONG pcbParms, ULONG function, PSZ pszRoute, HFILE hFile, ULONG method);
DosFindClose(HDIR hDir);
DosFindFirst(PSZ    pszFileSpec, PHDIR  phdir, ULONG  flAttribute, PVOID  pfindbuf, ULONG  cbBuf, PULONG pcFileNames, ULONG  ulInfoLevel);
DosFindNext(HDIR   hDir, PVOID  pfindbuf, ULONG  cbfindbuf, PULONG pcFilenames);
DosForceDelete(PSZ pszFile);
DosFreeMem(PVOID pb);
DosFreeModule(HMODULE hmod);
DosFreeResource(PVOID pb);
DosGetDateTime(PDATETIME pdt);
DosGetInfoBlocks(PTIB *pptib, PPIB *pppib);
DosGetMessage(PCHAR* pTable, ULONG cTable, PCHAR pBuf, ULONG cbBuf, ULONG msgnumber, PSZ pszFile, PULONG pcbMsg);
DosGetNamedSharedMem(PPVOID ppb, PSZ pszName, ULONG flag);
DosGetResource(HMODULE hmod, ULONG idType, ULONG idName, PPVOID ppb);
DosGetSharedMem(PVOID pb, ULONG flag);
DosGiveSharedMem(PVOID pb, PID pid, ULONG flag);
DosInsertMessage(PCHAR* pTable, ULONG cTable, PSZ pszMsg, ULONG cbMsg, PCHAR pBuf, ULONG cbBuf, PULONG pcbMsg);
DosKillProcess(ULONG action, PID pid);
DosKillThread(TID tid);
DosLoadModule(PSZ pszName, ULONG cbName, PSZ pszModname, PHMODULE phmod);
DosMapCase(ULONG cb, PCOUNTRYCODE pcc, PCHAR pch);
DosMove(PSZ pszOld, PSZ pszNew);
DosOpen(PSZ    pszFileName, PHFILE pHf, PULONG pulAction, ULONG  cbFile, ULONG  ulAttribute, ULONG  fsOpenFlags, ULONG  fsOpenMode, PEAOP2 peaop2);
DosOpenEventSem (PSZ pszName, PHEV phev);
DosOpenMutexSem (PSZ pszName, PHMTX phmtx);
DosOpenMuxWaitSem (PSZ pszName, PHMUX phmux);
DosOpenQueue(PPID ppid, PHQUEUE phq, PSZ pszName);
DosOpenVDD(PSZ pszVDD, PHVDD phvdd);
DosPeekNPipe(HPIPE hpipe, PVOID pBuf, ULONG cbBuf, PULONG pcbActual, PAVAILDATA pAvail, PULONG pState);
DosPeekQueue(HQUEUE hq, PREQUESTDATA pRequest, PULONG pcbData, PPVOID ppbuf, PULONG element, BOOL32 nowait, PBYTE ppriority, HEV hsem);
DosPhysicalDisk(ULONG function, PVOID pBuf, ULONG cbBuf, PVOID pParams, ULONG cbParams);
DosPostEventSem (HEV hev);
DosProtectClose(HFILE hFile, FHLOCK fhFileHandleLockID);
DosProtectEnumAttribute(ULONG ulRefType, PVOID pvFile, ULONG ulEntry, PVOID pvBuf, ULONG cbBuf, PULONG pulCount, ULONG ulInfoLevel, FHLOCK fhFileHandleLockID );
DosProtectOpen(PSZ pszFileName, PHFILE phf, PULONG pulAction, ULONG cbFile, ULONG ulAttribute, ULONG fsOpenFlags, ULONG fsOpenMode, PEAOP2 peaop2, PFHLOCK pfhFileHandleLockID);
DosProtectQueryFHState(HFILE hFile, PULONG pMode, FHLOCK fhFileHandleLockID);
DosProtectQueryFileInfo(HFILE hf, ULONG ulInfoLevel, PVOID pInfo, ULONG cbInfoBuf, FHLOCK fhFileHandleLockID);
DosProtectRead(HFILE hFile, PVOID pBuffer, ULONG cbRead, PULONG pcbActual, FHLOCK fhFileHandleLockID);
DosProtectSetFHState(HFILE hFile, ULONG mode, FHLOCK fhFileHandleLockID);
DosProtectSetFileInfo(HFILE hf, ULONG ulInfoLevel, PVOID pInfoBuf, ULONG cbInfoBuf, FHLOCK fhFileHandleLockID);
DosProtectSetFileLocks(HFILE hFile, PFILELOCK pflUnlock, PFILELOCK pflLock, ULONG timeout, ULONG flags, FHLOCK fhFileHandleLockID);
DosProtectSetFilePtr(HFILE hFile, LONG ib, ULONG method, PULONG ibActual, FHLOCK fhFileHandleLockID);
DosProtectSetFileSize(HFILE hFile, ULONG cbSize, FHLOCK fhFileHandleLockID);
DosProtectWrite(HFILE hFile, PVOID pBuffer, ULONG cbWrite, PULONG pcbActual, FHLOCK fhFileHandleLockID);
DosPurgeQueue(HQUEUE hq);
DosPutMessage(HFILE hfile, ULONG cbMsg, PCHAR pBuf);
DosQueryAppType(PSZ pszName, PULONG pFlags);
DosQueryCollate(ULONG cb, PCOUNTRYCODE pcc, PCHAR pch, PULONG pcch);
DosQueryCp(ULONG cb, PULONG arCP, PULONG pcCP);
DosQueryCtryInfo(ULONG cb, PCOUNTRYCODE pcc, PCOUNTRYINFO pci, PULONG pcbActual);
DosQueryCurrentDir(ULONG disknum, PBYTE pBuf, PULONG pcbBuf);
DosQueryCurrentDisk(PULONG pdisknum, PULONG plogical);
DosQueryDBCSEnv(ULONG cb, PCOUNTRYCODE pcc, PCHAR pBuf);
DosQueryDOSProperty(SGID sgid, PSZ pszName, ULONG cb, PSZ pch);
DosQueryEventSem (HEV hev, PULONG pulPostCt);
DosQueryFHState(HFILE hFile, PULONG pMode);
DosQueryFSAttach(PSZ    pszDeviceName, ULONG  ulOrdinal, ULONG  ulFSAInfoLevel, PFSQBUFFER2 pfsqb, PULONG pcbBuffLength);
DosQueryFSInfo(ULONG disknum, ULONG infolevel, PVOID pBuf, ULONG cbBuf);
DosQueryFileInfo(HFILE hf, ULONG ulInfoLevel, PVOID pInfo, ULONG cbInfoBuf);
DosQueryHType(HFILE hFile, PULONG pType, PULONG pAttr);
DosQueryMem(PVOID pb, PULONG pcb, PULONG pFlag);
DosQueryMessageCP(PCHAR pb, ULONG cb, PSZ pszFilename, PULONG cbBuf);
DosQueryModuleHandle(PSZ pszModname, PHMODULE phmod);
DosQueryModuleName(HMODULE hmod, ULONG cbName, PCHAR pch);
DosQueryMutexSem (HMTX hmtx, PID *ppid, TID *ptid, PULONG pulCount);
DosQueryMuxWaitSem (HMUX hmux, PULONG pcSemRec, PSEMRECORD pSemRec, PULONG pflAttr);
DosQueryNPHState(HPIPE hpipe, PULONG pState);
DosQueryNPipeInfo(HPIPE hpipe, ULONG infolevel, PVOID pBuf, ULONG cbBuf);
DosQueryNPipeSemState(HSEM hsem, PPIPESEMSTATE pnpss, ULONG cbBuf);
DosQueryPathInfo(PSZ   pszPathName, ULONG ulInfoLevel, PVOID pInfoBuf, ULONG cbInfoBuf);
DosQueryProcAddr(HMODULE hmod, ULONG ordinal, PSZ pszName, PFN* ppfn);
DosQueryProcType(HMODULE hmod, ULONG ordinal, PSZ pszName, PULONG pulproctype);
DosQueryQueue(HQUEUE hq, PULONG pcbEntries);
DosQueryRASInfo(ULONG Index, PPVOID Addr);
DosQueryResourceSize(HMODULE hmod, ULONG idt, ULONG idn, PULONG pulsize);
DosQuerySysInfo(ULONG iStart, ULONG iLast, PVOID pBuf, ULONG cbBuf);
DosQueryVerify(PBOOL32 pBool);
DosRaiseException(PEXCEPTIONREPORTRECORD pexcept);
DosRawReadNPipe(PSZ pszName, ULONG cb, PULONG pLen, PVOID pBuf);
DosRawWriteNPipe(PSZ pszName, ULONG cb);
DosRead(HFILE hFile, PVOID pBuffer, ULONG cbRead, PULONG pcbActual);
DosReadQueue(HQUEUE hq, PREQUESTDATA pRequest, PULONG pcbData, PPVOID ppbuf, ULONG element, BOOL32 wait, PBYTE ppriority, HEV hsem);
DosRegisterPerfCtrs(PBYTE pbDataBlk, PBYTE pbTextBlk, ULONG flFlags);
DosReleaseMutexSem (HMTX hmtx);
DosRequestMutexSem (HMTX hmtx, ULONG ulTimeout);
DosRequestVDD(HVDD hvdd, SGID sgid, ULONG cmd, ULONG cbInput, PVOID pInput, ULONG cbOutput, PVOID pOutput);
DosResetBuffer(HFILE hFile);
DosResetEventSem (HEV hev, PULONG pulPostCt);
DosResumeThread(TID tid);
DosScanEnv(PSZ pszName, PSZ *ppszValue);
DosSearchPath(ULONG flag, PSZ pszPathOrName, PSZ pszFilename, PBYTE pBuf, ULONG cbBuf);
DosSelectSession(ULONG idSession);
DosSendSignalException(PID pid, ULONG exception);
DosSetCurrentDir(PSZ pszDir);
DosSetDOSProperty(SGID sgid, PSZ pszName, ULONG cb, PSZ pch);
DosSetDateTime(PDATETIME pdt);
DosSetDefaultDisk(ULONG disknum);
DosSetExceptionHandler(PEXCEPTIONREGISTRATIONRECORD pERegRec);
DosSetFHState(HFILE hFile, ULONG mode);
DosSetFSInfo(ULONG disknum, ULONG infolevel, PVOID pBuf, ULONG cbBuf);
DosSetFileInfo(HFILE hf, ULONG ulInfoLevel, PVOID pInfoBuf, ULONG cbInfoBuf);
DosSetFileLocks(HFILE hFile, PFILELOCK pflUnlock, PFILELOCK pflLock, ULONG timeout, ULONG flags);
DosSetFilePtr(HFILE hFile, LONG ib, ULONG method, PULONG ibActual);
DosSetFileSize(HFILE hFile, ULONG cbSize);
DosSetMaxFH(ULONG cFH);
DosSetMem(PVOID pb, ULONG cb, ULONG flag);
DosSetNPHState(HPIPE hpipe, ULONG state);
DosSetNPipeSem(HPIPE hpipe, HSEM hsem, ULONG key);
DosSetPathInfo(PSZ   pszPathName, ULONG ulInfoLevel, PVOID pInfoBuf, ULONG cbInfoBuf, ULONG flOptions);
DosSetPriority(ULONG scope, ULONG class, LONG delta, ULONG PorTid);
DosSetProcessCp(ULONG cp);
DosSetRelMaxFH(PLONG pcbReqCount, PULONG pcbCurMaxFH);
DosSetSession(ULONG idSession, PSTATUSDATA psd);
DosSetSignalExceptionFocus(BOOL32 flag, PULONG pulTimes);
DosSetVerify(BOOL32);
DosShutdown(ULONG ulReserved);
DosSleep(ULONG msec);
DosStartSession(PSTARTDATA psd, PULONG pidSession, PPID ppid);
DosStartTimer(ULONG msec, HSEM hsem, PHTIMER phtimer);
DosStopSession(ULONG scope, ULONG idSession);
DosStopTimer(HTIMER htimer);
DosSubAllocMem(PVOID pbBase, PPVOID ppb, ULONG cb);
DosSubFreeMem(PVOID pbBase, PVOID pb, ULONG cb);
DosSubSetMem(PVOID pbBase, ULONG flag, ULONG cb);
DosSubUnsetMem(PVOID pbBase);
DosSuspendThread(TID tid);
DosTmrQueryFreq(PULONG pulTmrFreq);
DosTmrQueryTime(PQWORD pqwTmrTime);
DosTransactNPipe(HPIPE hpipe, PVOID pOutbuf, ULONG cbOut, PVOID pInbuf, ULONG cbIn, PULONG pcbRead);
DosUnsetExceptionHandler(PEXCEPTIONREGISTRATIONRECORD pERegRec);
DosUnwindException(PEXCEPTIONREGISTRATIONRECORD phandler, PVOID pTargetIP, PEXCEPTIONREPORTRECORD pERepRec);
DosWaitChild(ULONG action, ULONG option, PRESULTCODES pres, PPID ppid, PID pid);
DosWaitEventSem (HEV hev, ULONG ulTimeout);
DosWaitMuxWaitSem (HMUX hmux, ULONG ulTimeout, PULONG pulUser);
DosWaitNPipe(PSZ pszName, ULONG msec);
DosWaitThread(PTID ptid, ULONG option);
DosWrite(HFILE hFile, PVOID pBuffer, ULONG cbWrite, PULONG pcbActual);
DosWriteQueue(HQUEUE hq, ULONG request, ULONG cbData, PVOID pbData, ULONG priority);

* Graphics Programming Interface Calls (PMGPI.H)

GpiAnimatePalette(HPAL hpal, ULONG ulFormat, ULONG ulStart, ULONG ulCount, PULONG aulTable);
GpiAssociate(HPS hps, HDC hdc);
GpiBeginArea(HPS hps, ULONG flOptions);
GpiBeginElement(HPS hps, LONG lType, PSZ pszDesc);
GpiBeginPath(HPS hps, LONG lPath);
GpiBitBlt(HPS hpsTarget, HPS hpsSource, LONG lCount, PPOINTL aptlPoints, LONG lRop, ULONG flOptions);
GpiBox(HPS hps, LONG lControl, PPOINTL pptlPoint, LONG lHRound, LONG lVRound);
GpiCallSegmentMatrix(HPS hps, LONG lSegment, LONG lCount, PMATRIXLF pmatlfArray, LONG lOptions);
GpiCharString(HPS hps, LONG lCount, PCH pchString);
GpiCharStringAt(HPS hps, PPOINTL pptlPoint, LONG lCount, PCH pchString);
GpiCharStringPos(HPS hps, PRECTL prclRect, ULONG flOptions, LONG lCount, PCH pchString, PLONG alAdx);
GpiCharStringPosAt(HPS hps, PPOINTL pptlStart, PRECTL prclRect, ULONG flOptions, LONG lCount, PCH pchString, PLONG alAdx);
GpiCloseFigure(HPS hps);
GpiCloseSegment(HPS hps);
GpiCombineRegion(HPS hps, HRGN hrgnDest, HRGN hrgnSrc1, HRGN hrgnSrc2, LONG lMode);
GpiComment(HPS hps, LONG lLength, PBYTE pbData);
GpiConvert(HPS hps, LONG lSrc, LONG lTarg, LONG lCount, PPOINTL aptlPoints);
GpiConvertWithMatrix(HPS hps, LONG lCountp, PPOINTL aptlPoints, LONG lCount, PMATRIXLF pmatlfArray);
GpiCopyMetaFile(HMF hmf);
GpiCorrelateChain(HPS hps, LONG lType, PPOINTL pptlPick, LONG lMaxHits, LONG lMaxDepth, PLONG pl2);
GpiCorrelateFrom(HPS hps, LONG lFirstSegment, LONG lLastSegment, LONG lType, PPOINTL pptlPick, LONG lMaxHits, LONG lMaxDepth, PLONG plSegTag);
GpiCorrelateSegment(HPS hps, LONG lSegment, LONG lType, PPOINTL pptlPick, LONG lMaxHits, LONG lMaxDepth, PLONG alSegTag);
GpiCreateBitmap(HPS hps, PBITMAPINFOHEADER2 pbmpNew, ULONG flOptions, PBYTE pbInitData, PBITMAPINFO2 pbmiInfoTable);
GpiCreateLogColorTable(HPS hps, ULONG flOptions, LONG lFormat, LONG lStart, LONG lCount, PLONG alTable);
GpiCreateLogFont(HPS hps, PSTR8 pName, LONG lLcid, PFATTRS pfatAttrs);
GpiCreatePS(HAB hab, HDC hdc, PSIZEL psizlSize, ULONG flOptions);
GpiCreatePalette(HAB hab, ULONG flOptions, ULONG ulFormat, ULONG ulCount, PULONG aulTable);
GpiCreateRegion(HPS hps, LONG lCount, PRECTL arclRectangles);
GpiDeleteBitmap(HBITMAP hbm);
GpiDeleteElement(HPS hps);
GpiDeleteElementRange(HPS hps, LONG lFirstElement, LONG lLastElement);
GpiDeleteElementsBetweenLabels(HPS hps, LONG lFirstLabel, LONG lLastLabel);
GpiDeleteMetaFile(HMF hmf);
GpiDeletePalette(HPAL hpal);
GpiDeleteSegment(HPS hps, LONG lSegid);
GpiDeleteSegments(HPS hps, LONG lFirstSegment, LONG lLastSegment);
GpiDeleteSetId(HPS hps, LONG lLcid);
GpiDestroyPS(HPS hps);
GpiDestroyRegion(HPS hps, HRGN hrgn);
GpiDrawBits(HPS hps, PVOID pBits, PBITMAPINFO2 pbmiInfoTable, LONG lCount, PPOINTL aptlPoints, LONG lRop, ULONG flOptions);
GpiDrawChain(HPS hps);
GpiDrawDynamics(HPS hps);
GpiDrawFrom(HPS hps, LONG lFirstSegment, LONG lLastSegment);
GpiDrawSegment(HPS hps, LONG lSegment);
GpiElement(HPS hps, LONG lType, PSZ pszDesc, LONG lLength, PBYTE pbData);
GpiEndArea(HPS hps);
GpiEndElement(HPS hps);
GpiEndPath(HPS hps);
GpiEqualRegion(HPS hps, HRGN hrgnSrc1, HRGN hrgnSrc2);
GpiErase(HPS hps);
GpiErrorSegmentData(HPS hps, PLONG plSegment, PLONG plContext);
GpiExcludeClipRectangle(HPS hps, PRECTL prclRectangle);
GpiFillPath(HPS hps, LONG lPath, LONG lOptions);
GpiFloodFill(HPS hps, LONG lOptions, LONG lColor);
GpiFrameRegion(HPS hps, HRGN hrgn, PSIZEL thickness);
GpiFullArc(HPS hps, LONG lControl, FIXED fxMultiplier);
GpiGetData(HPS hps, LONG lSegid, PLONG plOffset, LONG lFormat, LONG lLength, PBYTE pbData);
GpiImage(HPS hps, LONG lFormat, PSIZEL psizlImageSize, LONG lLength, PBYTE pbData);
GpiIntersectClipRectangle(HPS hps, PRECTL prclRectangle);
GpiLabel(HPS hps, LONG lLabel);
GpiLine(HPS hps, PPOINTL pptlEndPoint);
GpiLoadBitmap(HPS hps, HMODULE Resource, ULONG idBitmap, LONG lWidth, LONG lHeight);
GpiLoadFonts(HAB hab, PSZ pszFilename);
GpiLoadMetaFile(HAB hab, PSZ pszFilename);
GpiLoadPublicFonts(HAB, PSZ);
GpiMarker(HPS hps, PPOINTL pptlPoint);
GpiModifyPath(HPS hps, LONG lPath, LONG lMode);
GpiMove(HPS hps, PPOINTL pptlPoint);
GpiOffsetClipRegion(HPS hps, PPOINTL pptlPoint);
GpiOffsetElementPointer(HPS hps, LONG loffset);
GpiOffsetRegion(HPS hps, HRGN Hrgn, PPOINTL pptlOffset);
GpiOpenSegment(HPS hps, LONG lSegment);
GpiOutlinePath(HPS hps, LONG lPath, 0);
GpiPaintRegion(HPS hps, HRGN hrgn);
GpiPartialArc(HPS hps, PPOINTL pptlCenter, FIXED fxMultiplier, FIXED fxStartAngle, FIXED fxSweepAngle);
GpiPathToRegion(HPS GpiH, LONG lPath, LONG lOptions);
GpiPlayMetaFile(HPS hps, HMF hmf, LONG lCount1, PLONG alOptarray, PLONG plSegCount, LONG lCount2, PSZ pszDesc);
GpiPointArc(HPS hps, PPOINTL pptl2);
GpiPolyFillet(HPS hps, LONG lCount, PPOINTL aptlPoints);
GpiPolyFilletSharp(HPS hps, LONG lCount, PPOINTL aptlPoints, PFIXED afxPoints);
GpiPolyLine(HPS hps, LONG lCount, PPOINTL aptlPoints);
GpiPolyLineDisjoint(HPS hps, LONG lCount, PPOINTL aptlPoints);
GpiPolyMarker(HPS hps, LONG lCount, PPOINTL aptlPoints);
GpiPolySpline(HPS hps, LONG lCount, PPOINTL aptlPoints);
GpiPolygons(HPS hps, ULONG ulCount, PPOLYGON paplgn, ULONG flOptions, ULONG flModel);
GpiPop(HPS hps, LONG lCount);
GpiPtInRegion(HPS hps, HRGN hrgn, PPOINTL pptlPoint);
GpiPtVisible(HPS hps, PPOINTL pptlPoint);
GpiPutData(HPS hps, LONG lFormat, PLONG plCount, PBYTE pbData);
GpiQueryArcParams(HPS hps, PARCPARAMS parcpArcParams);
GpiQueryAttrMode(HPS hps);
GpiQueryAttrs(HPS hps, LONG lPrimType, ULONG flAttrMask, PBUNDLE ppbunAttrs);
GpiQueryBackColor(HPS hps);
GpiQueryBackMix(HPS hps);
GpiQueryBitmapBits(HPS hps, LONG lScanStart, LONG lScans, PBYTE pbBuffer, PBITMAPINFO2 pbmiInfoTable);
GpiQueryBitmapDimension(HBITMAP hbm, PSIZEL psizlBitmapDimension);
GpiQueryBitmapHandle(HPS hps, LONG lLcid);
GpiQueryBitmapInfoHeader(HBITMAP hbm, PBITMAPINFOHEADER2 pbmpData);
GpiQueryBitmapParameters(HBITMAP hbm, PBITMAPINFOHEADER pbmpData);
GpiQueryBoundaryData(HPS hps, PRECTL prclBoundary);
GpiQueryCharAngle(HPS hps, PGRADIENTL pgradlAngle);
GpiQueryCharBox(HPS hps, PSIZEF psizfxSize);
GpiQueryCharBreakExtra(HPS hps, PFIXED BreakExtra);
GpiQueryCharDirection(HPS hps);
GpiQueryCharExtra(HPS hps, PFIXED Extra);
GpiQueryCharMode(HPS hps);
GpiQueryCharSet(HPS hps);
GpiQueryCharShear(HPS hps, PPOINTL pptlShear);
GpiQueryCharStringPos(HPS hps, ULONG flOptions, LONG lCount, PCH pchString, PLONG alXincrements, PPOINTL aptlPositions);
GpiQueryCharStringPosAt(HPS hps, PPOINTL pptlStart, ULONG flOptions, LONG lCount, PCH pchString, PLONG alXincrements, PPOINTL aptlPositions);
GpiQueryClipBox(HPS hps, PRECTL prclBound);
GpiQueryClipRegion(HPS hps);
GpiQueryColor(HPS hps);
GpiQueryColorData(HPS hps, LONG lCount, PLONG alArray);
GpiQueryColorIndex(HPS hps, ULONG flOptions, LONG lRgbColor);
GpiQueryCp(HPS hps);
GpiQueryCurrentPosition(HPS hps, PPOINTL pptlPoint);
GpiQueryDefArcParams(HPS hps, PARCPARAMS parcpArcParams);
GpiQueryDefAttrs(HPS hps, LONG lPrimType, ULONG flAttrMask, PBUNDLE ppbunAttrs);
GpiQueryDefCharBox(HPS hps, PSIZEL psizlSize);
GpiQueryDefTag(HPS hps, PLONG plTag);
GpiQueryDefViewingLimits(HPS hps, PRECTL prclLimits);
GpiQueryDefaultViewMatrix(HPS hps, LONG lCount, PMATRIXLF pmatlfArray);
GpiQueryDeviceBitmapFormats(HPS hps, LONG lCount, PLONG alArray);
GpiQueryDrawControl(HPS hps, LONG lControl);
GpiQueryDrawingMode(HPS hps);
GpiQueryEditMode(HPS hps);
GpiQueryElement(HPS hps, LONG lOff, LONG lMaxLength, PBYTE pbData);
GpiQueryElementPointer(HPS hps);
GpiQueryElementType(HPS hps, PLONG plType, LONG lLength, PSZ pszData);
GpiQueryFaceString(HPS PS, PSZ FamilyName, PFACENAMEDESC attrs, LONG length, PSZ CompoundFaceName);
GpiQueryFontAction(HAB anchor, ULONG options);
GpiQueryFontFileDescriptions(HAB hab, PSZ pszFilename, PLONG plCount, PFFDESCS affdescsNames);
GpiQueryFontMetrics(HPS hps, LONG lMetricsLength, PFONTMETRICS pfmMetrics);
GpiQueryFonts(HPS hps, ULONG flOptions, PSZ pszFacename, PLONG plReqFonts, LONG lMetricsLength, PFONTMETRICS afmMetrics);
GpiQueryFullFontFileDescs(HAB hab, PSZ pszFilename, PLONG plCount, PVOID pNames, PLONG plNamesBuffLength);
GpiQueryGraphicsField(HPS hps, PRECTL prclField);
GpiQueryInitialSegmentAttrs(HPS hps, LONG lAttribute);
GpiQueryKerningPairs(HPS hps, LONG lCount, PKERNINGPAIRS akrnprData);
GpiQueryLineEnd(HPS hps);
GpiQueryLineJoin(HPS hps);
GpiQueryLineType(HPS hps);
GpiQueryLineWidth(HPS hps);
GpiQueryLineWidthGeom(HPS hps);
GpiQueryLogColorTable(HPS hps, ULONG flOptions, LONG lStart, LONG lCount, PLONG alArray);
GpiQueryLogicalFont(HPS PS, LONG lcid, PSTR8 name, PFATTRS attrs, LONG length);
GpiQueryMarker(HPS hps);
GpiQueryMarkerBox(HPS hps, PSIZEF psizfxSize);
GpiQueryMarkerSet(HPS hps);
GpiQueryMetaFileBits(HMF hmf, LONG lOffset, LONG lLength, PBYTE pbData);
GpiQueryMetaFileLength(HMF hmf);
GpiQueryMix(HPS hps);
GpiQueryModelTransformMatrix(HPS hps, LONG lCount, PMATRIXLF pmatlfArray);
GpiQueryNearestColor(HPS hps, ULONG flOptions, LONG lRgbIn);
GpiQueryNumberSetIds(HPS hps);
GpiQueryPS(HPS hps, PSIZEL psizlSize);
GpiQueryPageViewport(HPS hps, PRECTL prclViewport);
GpiQueryPalette(HPS hps);
GpiQueryPaletteInfo(HPAL hpal, HPS  hps, ULONG flOptions, ULONG ulStart, ULONG ulCount, PULONG aulArray);
GpiQueryPattern(HPS hps);
GpiQueryPatternRefPoint(HPS hps, PPOINTL pptlRefPoint);
GpiQueryPatternSet(HPS hps);
GpiQueryPel(HPS hps, PPOINTL pptlPoint);
GpiQueryPickAperturePosition(HPS hps, PPOINTL pptlPoint);
GpiQueryPickApertureSize(HPS hps, PSIZEL psizlSize);
GpiQueryRGBColor(HPS hps, ULONG flOptions, LONG lColorIndex);
GpiQueryRealColors(HPS hps, ULONG flOptions, LONG lStart, LONG lCount, PLONG alColors);
GpiQueryRegionBox(HPS hps, HRGN hrgn, PRECTL prclBound);
GpiQueryRegionRects(HPS hps, HRGN hrgn, PRECTL prclBound, PRGNRECT prgnrcControl, PRECTL prclRect);
GpiQuerySegmentAttrs(HPS hps, LONG lSegid, LONG lAttribute);
GpiQuerySegmentNames(HPS hps, LONG lFirstSegid, LONG lLastSegid, LONG lMax, PLONG alSegids);
GpiQuerySegmentPriority(HPS hps, LONG lRefSegid, LONG lOrder);
GpiQuerySegmentTransformMatrix(HPS hps, LONG lSegid, LONG lCount, PMATRIXLF pmatlfArray);
GpiQuerySetIds(HPS hps, LONG lCount, PLONG alTypes, PSTR8 aNames, PLONG allcids);
GpiQueryStopDraw(HPS hps);
GpiQueryTag(HPS hps, PLONG plTag);
GpiQueryTextAlignment(HPS hps, PLONG plHoriz, PLONG plVert);
GpiQueryTextBox(HPS hps, LONG lCount1, PCH pchString, LONG lCount2, PPOINTL aptlPoints);
GpiQueryViewingLimits(HPS hps, PRECTL prclLimits);
GpiQueryViewingTransformMatrix(HPS hps, LONG lCount, PMATRIXLF pmatlfArray);
GpiQueryWidthTable(HPS hps, LONG lFirstChar, LONG lCount, PLONG alData);
GpiRectInRegion(HPS hps, HRGN hrgn, PRECTL prclRect);
GpiRectVisible(HPS hps, PRECTL prclRectangle);
GpiRemoveDynamics(HPS hps, LONG lFirstSegid, LONG lLastSegid);
GpiResetBoundaryData(HPS hps);
GpiResetPS(HPS hps, ULONG flOptions);
GpiRestorePS(HPS hps, LONG lPSid);
GpiRotate(HPS, PMATRIXLF, LONG, FIXED, PPOINTL);
GpiSaveMetaFile(HMF hmf, PSZ pszFilename);
GpiSavePS(HPS hps);
GpiScale(HPS, PMATRIXLF, LONG, PFIXED, PPOINTL);
GpiSelectPalette(HPS hps, HPAL hpal);
GpiSetArcParams(HPS hps, PARCPARAMS parcpArcParams);
GpiSetAttrMode(HPS hps, LONG lMode);
GpiSetAttrs(HPS hps, LONG lPrimType, ULONG flAttrMask, ULONG flDefMask, PBUNDLE ppbunAttrs);
GpiSetBackColor(HPS hps, LONG lColor);
GpiSetBackMix(HPS hps, LONG lMixMode);
GpiSetBitmap(HPS hps, HBITMAP hbm);
GpiSetBitmapBits(HPS hps, LONG lScanStart, LONG lScans, PBYTE pbBuffer, PBITMAPINFO2 pbmiInfoTable);
GpiSetBitmapDimension(HBITMAP hbm, PSIZEL psizlBitmapDimension);
GpiSetBitmapId(HPS hps, HBITMAP hbm, LONG lLcid);
GpiSetCharAngle(HPS hps, PGRADIENTL pgradlAngle);
GpiSetCharBox(HPS hps, PSIZEF psizfxBox);
GpiSetCharBreakExtra(HPS hps, FIXED  BreakExtra);
GpiSetCharDirection(HPS hps, LONG lDirection);
GpiSetCharExtra(HPS hps, FIXED  Extra);
GpiSetCharMode(HPS hps, LONG lMode);
GpiSetCharSet(HPS hps, LONG llcid);
GpiSetCharShear(HPS hps, PPOINTL pptlAngle);
GpiSetClipPath(HPS hps, LONG lPath, LONG lOptions);
GpiSetClipRegion(HPS hps, HRGN hrgn, PHRGN phrgnOld);
GpiSetColor(HPS hps, LONG lColor);
GpiSetCp(HPS hps, ULONG ulCodePage);
GpiSetCurrentPosition(HPS hps, PPOINTL pptlPoint);
GpiSetDefArcParams(HPS hps, PARCPARAMS parcpArcParams);
GpiSetDefAttrs(HPS hps, LONG lPrimType, ULONG flAttrMask, PBUNDLE ppbunAttrs);
GpiSetDefTag(HPS hps, LONG lTag);
GpiSetDefViewingLimits(HPS hps, PRECTL prclLimits);
GpiSetDefaultViewMatrix(HPS hps, LONG lCount, PMATRIXLF pmatlfarray, LONG lOptions);
GpiSetDrawControl(HPS hps, LONG lControl, LONG lValue);
GpiSetDrawingMode(HPS hps, LONG lMode);
GpiSetEditMode(HPS hps, LONG lMode);
GpiSetElementPointer(HPS hps, LONG lElement);
GpiSetElementPointerAtLabel(HPS hps, LONG lLabel);
GpiSetGraphicsField(HPS hps, PRECTL prclField);
GpiSetInitialSegmentAttrs(HPS hps, LONG lAttribute, LONG lValue);
GpiSetLineEnd(HPS hps, LONG lLineEnd);
GpiSetLineJoin(HPS hps, LONG lLineJoin);
GpiSetLineType(HPS hps, LONG lLineType);
GpiSetLineWidth(HPS hps, FIXED fxLineWidth);
GpiSetLineWidthGeom(HPS hps, LONG lLineWidth);
GpiSetMarker(HPS hps, LONG lSymbol);
GpiSetMarkerBox(HPS hps, PSIZEF psizfxSize);
GpiSetMarkerSet(HPS hps, LONG lSet);
GpiSetMetaFileBits(HMF hmf, LONG lOffset, LONG lLength, PBYTE pbBuffer);
GpiSetMix(HPS hps, LONG lMixMode);
GpiSetModelTransformMatrix(HPS hps, LONG lCount, PMATRIXLF pmatlfArray, LONG lOptions);
GpiSetPS(HPS hps, PSIZEL psizlsize, ULONG flOptions);
GpiSetPageViewport(HPS hps, PRECTL prclViewport);
GpiSetPaletteEntries(HPAL hpal, ULONG ulFormat, ULONG ulStart, ULONG ulCount, PULONG aulTable);
GpiSetPattern(HPS hps, LONG lPatternSymbol);
GpiSetPatternRefPoint(HPS hps, PPOINTL pptlRefPoint);
GpiSetPatternSet(HPS hps, LONG lSet);
GpiSetPel(HPS hps, PPOINTL pptlPoint);
GpiSetPickAperturePosition(HPS hps, PPOINTL pptlPick);
GpiSetPickApertureSize(HPS hps, LONG lOptions, PSIZEL psizlSize);
GpiSetRegion(HPS hps, HRGN hrgn, LONG lcount, PRECTL arclRectangles);
GpiSetSegmentAttrs(HPS hps, LONG lSegid, LONG lAttribute, LONG lValue);
GpiSetSegmentPriority(HPS hps, LONG lSegid, LONG lRefSegid, LONG lOrder);
GpiSetSegmentTransformMatrix(HPS hps, LONG lSegid, LONG lCount, PMATRIXLF pmatlfarray, LONG lOptions);
GpiSetStopDraw(HPS hps, LONG lValue);
GpiSetTag(HPS hps, LONG lTag);
GpiSetTextAlignment(HPS hps, LONG lHoriz, LONG lVert);
GpiSetViewingLimits(HPS hps, PRECTL prclLimits);
GpiSetViewingTransformMatrix(HPS hps, LONG lCount, PMATRIXLF pmatlfArray, LONG lOptions);
GpiStrokePath(HPS hps, LONG lPath, ULONG flOptions);
GpiTranslate(HPS, PMATRIXLF, LONG, PPOINTL);
GpiUnloadFonts(HAB hab, PSZ pszFilename);
GpiUnloadPublicFonts(HAB, PSZ);
GpiWCBitBlt(HPS hpsTarget, HBITMAP hbmSource, LONG lCount, PPOINTL aptlPoints, LONG lRop, ULONG flOptions);

* PM Window Calls (PMWIN.H)

WinAddAtom(HATOMTBL hAtomTbl, PSZ pszAtomName);
WinAlarm(HWND hwndDesktop, ULONG rgfType);
WinBeginEnumWindows(HWND hwnd);
WinBeginPaint(HWND hwnd, HPS hps, PRECTL prclPaint);
WinBroadcastMsg(HWND hwnd, ULONG msg, MPARAM mp1, MPARAM mp2, ULONG rgf);
WinCalcFrameRect(HWND hwndFrame, PRECTL prcl, BOOL fClient);
WinCallMsgFilter(HAB hab, PQMSG pqmsg, ULONG msgf);
WinCancelShutdown(HMQ hmq, BOOL fCancelAlways);
WinCheckInput(HAB hab);
WinCheckMenuItem(HWND hwndMenu, ULONG id, BOOL fcheck);
WinCloseClipbrd(HAB hab);
WinCompareStrings(HAB hab, ULONG idcp, ULONG idcc, PSZ psz1, PSZ psz2, ULONG reserved);
WinCopyAccelTable(HACCEL haccel, PACCELTABLE pAccelTable, ULONG cbCopyMax);
WinCopyRect(HAB hab, PRECTL prclDst, PRECTL prclSrc);
WinCpTranslateChar(HAB hab, ULONG cpSrc, UCHAR chSrc, ULONG cpDst);
WinCpTranslateString(HAB hab, ULONG cpSrc, PSZ pszSrc, ULONG cpDst, ULONG cchDestMax, PSZ pchDest);
WinCreateAccelTable(HAB hab, PACCELTABLE pAccelTable);
WinCreateAtomTable(ULONG cbInitial, ULONG cBuckets);
WinCreateCursor(HWND hwnd, LONG x, LONG y, LONG cx, LONG cy, ULONG fs, PRECTL prclClip);
WinCreateDlg(HWND hwndParent, HWND hwndOwner, PFNWP pfnDlgProc, PDLGTEMPLATE pdlgt, PVOID pCreateParams);
WinCreateFrameControls(HWND hwndFrame, PFRAMECDATA pfcdata, PSZ pszTitle);
WinCreateMenu(HWND hwndParent, PVOID lpmt);
WinCreateMsgQueue(HAB hab, LONG cmsg);
WinCreatePointer(HWND hwndDesktop, HBITMAP hbmPointer, BOOL fPointer, LONG xHotspot, LONG yHotspot);
WinCreatePointerIndirect(HWND hwndDesktop, PPOINTERINFO pptri);
WinCreateStdWindow(HWND hwndParent, ULONG flStyle, PULONG pflCreateFlags, PSZ pszClientClass, PSZ pszTitle, ULONG styleClient, HMODULE hmod, ULONG idResources, PHWND phwndClient);
WinCreateWindow(HWND hwndParent, PSZ pszClass, PSZ pszName, ULONG flStyle, LONG x, LONG y, LONG cx, LONG cy, HWND hwndOwner, HWND hwndInsertBehind, ULONG id, PVOID pCtlData, PVOID pPresParams);
WinDdeInitiate(HWND hwndClient, PSZ pszAppName, PSZ pszTopicName, PCONVCONTEXT pcctxt);
WinDdePostMsg(HWND hwndTo, HWND hwndFrom, ULONG wm, PDDESTRUCT pddest, ULONG flOptions);
WinDdeRespond(HWND hwndClient, HWND hwndServer, PSZ pszAppName, PSZ pszTopicName, PCONVCONTEXT pcctxt);
WinDefDlgProc(HWND hwndDlg, ULONG msg, MPARAM mp1, MPARAM mp2);
WinDefWindowProc(HWND hwnd, ULONG msg, MPARAM mp1, MPARAM mp2);
WinDeleteAtom(HATOMTBL hAtomTbl, ATOM atom);
WinDeleteLibrary(HAB hab, HLIB libhandle);
WinDeleteProcedure(HAB hab, PFNWP wndproc);
WinDestroyAccelTable(HACCEL haccel);
WinDestroyAtomTable(HATOMTBL hAtomTbl);
WinDestroyCursor(HWND hwnd);
WinDestroyMsgQueue(HMQ hmq);
WinDestroyPointer(HPOINTER hptr);
WinDestroyWindow(HWND hwnd);
WinDismissDlg(HWND hwndDlg, ULONG usResult);
WinDispatchMsg(HAB hab, PQMSG pqmsg);
WinDlgBox(HWND hwndParent, HWND hwndOwner, PFNWP pfnDlgProc, HMODULE hmod, ULONG idDlg, PVOID pCreateParams);
WinDrawBitmap(HPS hpsDst, HBITMAP hbm, PRECTL pwrcSrc, PPOINTL pptlDst, LONG clrFore, LONG clrBack, ULONG fl);
WinDrawBorder(HPS hps, PRECTL prcl, LONG cx, LONG cy, LONG clrFore, LONG clrBack, ULONG flCmd);
WinDrawPointer(HPS hps, LONG x, LONG y, HPOINTER hptr, ULONG fs);
WinDrawText(HPS hps, LONG cchText, PCH lpchText, PRECTL prcl, LONG clrFore, LONG clrBack, ULONG flCmd);
WinEmptyClipbrd(HAB hab);
WinEnableControl(HWND hwndDlg, ULONG id, BOOL fEnable);
WinEnablePhysInput(HWND hwndDesktop, BOOL fEnable);
WinEnableWindow(HWND hwnd, BOOL fEnable);
WinEnableWindowUpdate(HWND hwnd, BOOL fEnable);
WinEndEnumWindows(HENUM henum);
WinEndPaint(HPS hps);
WinEnumClipbrdFmts(HAB hab, ULONG fmt);
WinEnumDlgItem(HWND hwndDlg, HWND hwnd, ULONG code);
WinEqualRect(HAB hab, PRECTL prcl1, PRECTL prcl2);
WinExcludeUpdateRegion(HPS hps, HWND hwnd);
WinFillRect(HPS hps, PRECTL prcl, LONG lColor);
WinFindAtom(HATOMTBL hAtomTbl, PSZ pszAtomName);
WinFlashWindow(HWND hwndFrame, BOOL fFlash);
WinFocusChange(HWND hwndDesktop, HWND hwndSetFocus, ULONG flFocusChange);
WinFontDlg(HWND hwndP, HWND hwndO, PFONTDLG pfntd);
WinFreeErrorInfo(PERRINFO perrinfo);
WinGetClipPS(HWND hwnd, HWND hwndClip, ULONG fl);
WinGetCurrentTime(HAB hab);
WinGetDlgMsg(HWND hwndDlg, PQMSG pqmsg);
WinGetErrorInfo(HAB hab);
WinGetKeyState(HWND hwndDesktop, LONG vkey);
WinGetLastError(HAB hab);
WinGetMaxPosition(HWND hwnd, PSWP pswp);
WinGetMinPosition(HWND hwnd, PSWP pswp, PPOINTL pptl);
WinGetMsg(HAB hab, PQMSG pqmsg, HWND hwndFilter, ULONG msgFilterFirst, ULONG msgFilterLast);
WinGetNextWindow(HENUM henum);
WinGetPS(HWND hwnd);
WinGetPhysKeyState(HWND hwndDesktop, LONG sc);
WinGetScreenPS(HWND hwndDesktop);
WinGetSysBitmap(HWND hwndDesktop, ULONG ibm);
WinInSendMsg(HAB hab);
WinInflateRect(HAB hab, PRECTL prcl, LONG cx, LONG cy);
WinInitialize(ULONG flOptions);
WinIntersectRect(HAB hab, PRECTL prclDst, PRECTL prclSrc1, PRECTL prclSrc2);
WinInvalidateRect(HWND hwnd, PRECTL pwrc, BOOL fIncludeChildren);
WinInvalidateRegion(HWND hwnd, HRGN hrgn, BOOL fIncludeChildren);
WinInvertRect(HPS hps, PRECTL prcl);
WinIsChild(HWND hwnd, HWND hwndParent);
WinIsMenuItemChecked(HWND hwndMenu, USHORT id);
WinIsPhysInputEnabled(HWND hwndDesktop);
WinIsRectEmpty(HAB hab, PRECTL prcl);
WinIsThreadActive(HAB hab);
WinIsWindow(HAB hab, HWND hwnd);
WinIsWindowEnabled(HWND hwnd);
WinIsWindowShowing(HWND hwnd);
WinIsWindowVisible(HWND hwnd);
WinLoadAccelTable(HAB hab, HMODULE hmod, ULONG idAccelTable);
WinLoadDlg(HWND hwndParent, HWND hwndOwner, PFNWP pfnDlgProc, HMODULE hmod, ULONG idDlg, PVOID pCreateParams);
WinLoadLibrary(HAB hab, PSZ libname);
WinLoadMenu(HWND hwndFrame, HMODULE hmod, ULONG idMenu);
WinLoadMessage(HAB hab, HMODULE hmod, ULONG id, LONG cchMax, PSZ pchBuffer);
WinLoadPointer(HWND hwndDesktop, HMODULE hmod, ULONG idres);
WinLoadProcedure(HAB hab, HLIB libhandle, PSZ procname);
WinLoadString(HAB hab, HMODULE hmod, ULONG id, LONG cchMax, PSZ pchBuffer);
WinLockPointerUpdate(HWND hwndDesktop, HPOINTER hptrNew, ULONG ulTimeInterval);
WinLockVisRegions(HWND hwndDesktop, BOOL fLock);
WinLockWindowUpdate(HWND hwndDesktop, HWND hwndLockUpdate);
WinLockupSystem(HAB hab);
WinMakePoints(HAB hab, PPOINTL pwpt, ULONG cwpt);
WinMakeRect(HAB hab, PRECTL pwrc);
WinMapDlgPoints(HWND hwndDlg, PPOINTL prgwptl, ULONG cwpt, BOOL fCalcWindowCoords);
WinMapWindowPoints(HWND hwndFrom, HWND hwndTo, PPOINTL prgptl, LONG cwpt);
WinMessageBox(HWND hwndParent, HWND hwndOwner, PSZ pszText, PSZ pszCaption, ULONG idWindow, ULONG flStyle);
WinMultWindowFromIDs(HWND hwndParent, PHWND prghwnd, ULONG idFirst, ULONG idLast);
WinNextChar(HAB hab, ULONG idcp, ULONG idcc, PSZ psz);
WinOffsetRect(HAB hab, PRECTL prcl, LONG cx, LONG cy);
WinOpenClipbrd(HAB hab);
WinOpenWindowDC(HWND hwnd);
WinPeekMsg(HAB hab, PQMSG pqmsg, HWND hwndFilter, ULONG msgFilterFirst, ULONG msgFilterLast, ULONG fl);
WinPopupMenu(HWND hwndParent, HWND hwndOwner, HWND hwndMenu, LONG x, LONG y, LONG idItem, ULONG fs);
WinPostMsg(HWND hwnd, ULONG msg, MPARAM mp1, MPARAM mp2);
WinPostQueueMsg(HMQ hmq, ULONG msg, MPARAM mp1, MPARAM mp2);
WinPrevChar(HAB hab, ULONG idcp, ULONG idcc, PSZ pszStart, PSZ psz);
WinProcessDlg(HWND hwndDlg);
WinPtInRect(HAB hab, PRECTL prcl, PPOINTL pptl);
WinQueryAccelTable(HAB hab, HWND hwndFrame);
WinQueryActiveWindow(HWND hwndDesktop);
WinQueryAnchorBlock(HWND hwnd);
WinQueryAtomLength(HATOMTBL hAtomTbl, ATOM atom);
WinQueryAtomName(HATOMTBL hAtomTbl, ATOM atom, PSZ pchBuffer, ULONG cchBufferMax);
WinQueryAtomUsage(HATOMTBL hAtomTbl, ATOM atom);
WinQueryButtonCheckstate(HWND hwndDlg, ULONG id);
WinQueryCapture(HWND hwndDesktop);
WinQueryClassInfo(HAB hab, PSZ pszClassName, PCLASSINFO pClassInfo);
WinQueryClassName(HWND hwnd, LONG cchMax, PCH pch);
WinQueryClassThunkProc(PSZ pszClassname);
WinQueryClipbrdData(HAB hab, ULONG fmt);
WinQueryClipbrdFmtInfo(HAB hab, ULONG fmt, PULONG prgfFmtInfo);
WinQueryClipbrdOwner(HAB hab);
WinQueryClipbrdViewer(HAB hab);
WinQueryCp(HMQ hmq);
WinQueryCpList(HAB hab, ULONG ccpMax, PULONG prgcp);
WinQueryCursorInfo(HWND hwndDesktop, PCURSORINFO pCursorInfo);
WinQueryDesktopBkgnd(HWND hwndDesktop, PDESKTOP pdsk);
WinQueryDesktopWindow(HAB hab, HDC hdc);
WinQueryDlgItemShort(HWND hwndDlg, ULONG idItem, PSHORT pResult, BOOL fSigned);
WinQueryDlgItemText(HWND hwndDlg, ULONG idItem, LONG cchBufferMax, PSZ pchBuffer);
WinQueryDlgItemTextLength(HWND hwndDlg, ULONG idItem);
WinQueryFocus(HWND hwndDesktop);
WinQueryLboxSelectedItem(HWND hwndLbox);
WinQueryMsgPos(HAB hab, PPOINTL pptl);
WinQueryMsgTime(HAB hab);
WinQueryObjectWindow(HWND hwndDesktop);
WinQueryPointer(HWND hwndDesktop);
WinQueryPointerInfo(HPOINTER hptr, PPOINTERINFO pPointerInfo);
WinQueryPointerPos(HWND hwndDesktop, PPOINTL pptl);
WinQueryPresParam(HWND hwnd, ULONG id1, ULONG id2, PULONG pulId, ULONG cbBuf, PVOID pbBuf, ULONG fs);
WinQueryQueueInfo(HMQ hmq, PMQINFO pmqi, ULONG cbCopy);
WinQueryQueueStatus(HWND hwndDesktop);
WinQuerySysColor(HWND hwndDesktop, LONG clr, LONG lReserved);
WinQuerySysModalWindow(HWND hwndDesktop);
WinQuerySysPointer(HWND hwndDesktop, LONG iptr, BOOL fLoad);
WinQuerySysPointerData(HWND hwndDesktop, ULONG iptr, PICONINFO pIconInfo);
WinQuerySysValue(HWND hwndDesktop, LONG iSysValue);
WinQuerySystemAtomTable(VOID);
WinQueryUpdateRect(HWND hwnd, PRECTL prcl);
WinQueryUpdateRegion(HWND hwnd, HRGN hrgn);
WinQueryVersion(HAB hab);
WinQueryWindow(HWND hwnd, LONG cmd);
WinQueryWindowDC(HWND hwnd);
WinQueryWindowModel(HWND hwnd);
WinQueryWindowPos(HWND hwnd, PSWP pswp);
WinQueryWindowProcess(HWND hwnd, PPID ppid, PTID ptid);
WinQueryWindowPtr(HWND hwnd, LONG index);
WinQueryWindowRect(HWND hwnd, PRECTL prclDest);
WinQueryWindowText(HWND hwnd, LONG cchBufferMax, PCH pchBuffer);
WinQueryWindowTextLength(HWND hwnd);
WinQueryWindowThunkProc(HWND hwnd);
WinQueryWindowULong(HWND hwnd, LONG index);
WinQueryWindowUShort(HWND hwnd, LONG index);
WinRealizePalette(HWND hwnd, HPS hps, PULONG pcclr);
WinRegisterClass(HAB hab, PSZ pszClassName, PFNWP pfnWndProc, ULONG flStyle, ULONG cbWindowData);
WinRegisterUserDatatype(HAB hab, LONG datatype, LONG count, PLONG types);
WinRegisterUserMsg(HAB hab, ULONG msgid, LONG datatype1, LONG dir1, LONG datatype2, LONG dir2, LONG datatyper);
WinReleaseHook(HAB hab, HMQ hmq, LONG iHook, PFN pfnHook, HMODULE hmod);
WinReleasePS(HPS hps);
WinRemovePresParam(HWND hwnd, ULONG id);
WinRequestMutexSem(HMTX hmtx, ULONG ulTimeout);
WinSaveWindowPos(HSAVEWP hsvwp, PSWP pswp, ULONG cswp);
WinScrollWindow(HWND hwnd, LONG dx, LONG dy, PRECTL prclScroll, PRECTL prclClip, HRGN hrgnUpdate, PRECTL prclUpdate, ULONG rgfsw);
WinSendDlgItemMsg(HWND hwndDlg, ULONG idItem, ULONG msg, MPARAM mp1, MPARAM mp2);
WinSendMsg(HWND hwnd, ULONG msg, MPARAM mp1, MPARAM mp2);
WinSetAccelTable(HAB hab, HACCEL haccel, HWND hwndFrame);
WinSetActiveWindow(HWND hwndDesktop, HWND hwnd);
WinSetCapture(HWND hwndDesktop, HWND hwnd);
WinSetClassMsgInterest(HAB hab, PSZ pszClassName, ULONG msg_class, LONG control);
WinSetClassThunkProc(PSZ pszClassname, PFN pfnThunkProc);
WinSetClipbrdData(HAB hab, ULONG ulData, ULONG fmt, ULONG rgfFmtInfo);
WinSetClipbrdOwner(HAB hab, HWND hwnd);
WinSetClipbrdViewer(HAB hab, HWND hwndNewClipViewer);
WinSetCp(HMQ hmq, ULONG idCodePage);
WinSetDesktopBkgnd(HWND hwndDesktop, PDESKTOP pdskNew);
WinSetDlgItemShort(HWND hwndDlg, ULONG idItem, USHORT usValue, BOOL fSigned);
WinSetDlgItemText(HWND hwndDlg, ULONG idItem, PSZ pszText);
WinSetFocus(HWND hwndDesktop, HWND hwndSetFocus);
WinSetHook(HAB hab, HMQ hmq, LONG iHook, PFN pfnHook, HMODULE hmod);
WinSetKeyboardStateTable(HWND hwndDesktop, PBYTE pKeyStateTable, BOOL fSet);
WinSetMsgInterest(HWND hwnd, ULONG msg_class, LONG control);
WinSetMsgMode(HAB hab, PSZ classname, LONG control);
WinSetMultWindowPos(HAB hab, PSWP pswp, ULONG cswp);
WinSetOwner(HWND hwnd, HWND hwndNewOwner);
WinSetParent(HWND hwnd, HWND hwndNewParent, BOOL fRedraw);
WinSetPointer(HWND hwndDesktop, HPOINTER hptrNew);
WinSetPointerOwner(HPOINTER hptr, PID pid, BOOL fDestroy);
WinSetPointerPos(HWND hwndDesktop, LONG x, LONG y);
WinSetPresParam(HWND hwnd, ULONG id, ULONG cbParam, PVOID pbParam);
WinSetRect(HAB hab, PRECTL prcl, LONG xLeft, LONG yBottom, LONG xRight, LONG yTop);
WinSetRectEmpty(HAB hab, PRECTL prcl);
WinSetSynchroMode(HAB hab, LONG mode);
WinSetSysColors(HWND hwndDesktop, ULONG flOptions, ULONG flFormat, LONG clrFirst, ULONG cclr, PLONG pclr);
WinSetSysModalWindow(HWND hwndDesktop, HWND hwnd);
WinSetSysPointerData(HWND hwndDesktop, ULONG iptr, PICONINFO pIconInfo);
WinSetSysValue(HWND hwndDesktop, LONG iSysValue, LONG lValue);
WinSetWindowBits(HWND hwnd, LONG index, ULONG flData, ULONG flMask);
WinSetWindowPos(HWND hwnd, HWND hwndInsertBehind, LONG x, LONG y, LONG cx, LONG cy, ULONG fl);
WinSetWindowPtr(HWND hwnd, LONG index, PVOID p);
WinSetWindowText(HWND hwnd, PSZ pszText);
WinSetWindowThunkProc(HWND hwnd, PFN pfnThunkProc);
WinSetWindowULong(HWND hwnd, LONG index, ULONG ul);
WinSetWindowUShort(HWND hwnd, LONG index, USHORT us);
WinShowCursor(HWND hwnd, BOOL fShow);
WinShowPointer(HWND hwndDesktop, BOOL fShow);
WinShowTrackRect(HWND hwnd, BOOL fShow);
WinShowWindow(HWND hwnd, BOOL fShow);
WinStartTimer(HAB hab, HWND hwnd, ULONG idTimer, ULONG dtTimeout);
WinStopTimer(HAB hab, HWND hwnd, ULONG idTimer);
WinSubclassWindow(HWND hwnd, PFNWP pfnwp);
WinSubstituteStrings(HWND hwnd, PSZ pszSrc, LONG cchDstMax, PSZ pszDst);
WinSubtractRect(HAB hab, PRECTL prclDst, PRECTL prclSrc1, PRECTL prclSrc2);
WinTerminate(HAB hab);
WinTrackRect(HWND hwnd, HPS hps, PTRACKINFO pti);
WinTranslateAccel(HAB hab, HWND hwnd, HACCEL haccel, PQMSG pqmsg);
WinUnionRect(HAB hab, PRECTL prclDst, PRECTL prclSrc1, PRECTL prclSrc2);
WinUnlockSystem(HAB hab, PSZ pszPassword);
WinUpdateWindow(HWND hwnd);
WinUpper(HAB hab, ULONG idcp, ULONG idcc, PSZ psz);
WinUpperChar(HAB hab, ULONG idcp, ULONG idcc, ULONG c);
WinValidateRect(HWND hwnd, PRECTL prcl, BOOL fIncludeChildren);
WinValidateRegion(HWND hwnd, HRGN hrgn, BOOL fIncludeChildren);
WinWaitEventSem(HEV hev, ULONG ulTimeout);
WinWaitMsg(HAB hab, ULONG msgFirst, ULONG msgLast);
WinWaitMuxWaitSem(HMUX hmux, ULONG ulTimeout, PULONG pulUser);
WinWindowFromDC(HDC hdc);
WinWindowFromID(HWND hwndParent, ULONG id);
WinWindowFromPoint(HWND hwnd, PPOINTL pptl, BOOL fChildren);

* Shell (Profile) control functions (PMSHL.H)

PrfAddProgram(HINI hini, PPROGDETAILS pDetails, HPROGRAM hprogGroup);
PrfChangeProgram(HINI hini, HPROGRAM hprog, PPROGDETAILS pDetails);
PrfCloseProfile(HINI hini);
PrfCreateGroup(HINI hini, PSZ pszTitle, UCHAR chVisibility);
PrfDestroyGroup(HINI hini, HPROGRAM hprogGroup);
PrfOpenProfile(HAB hab, PSZ pszFileName);
PrfQueryDefinition(HINI hini, HPROGRAM hprog, PPROGDETAILS pDetails, ULONG cchBufferMax);
PrfQueryProfile(HAB hab, PPRFPROFILE pPrfProfile);
PrfQueryProfileData(HINI hini, PSZ pszApp, PSZ pszKey, PVOID pBuffer, PULONG pulBuffLen);
PrfQueryProfileInt(HINI hini, PSZ pszApp, PSZ pszKey, LONG sDefault);
PrfQueryProfileSize(HINI hini, PSZ pszApp, PSZ pszKey, PULONG pulReqLen);
PrfQueryProfileString(HINI hini, PSZ pszApp, PSZ pszKey, PSZ pszDefault, PVOID pBuffer, ULONG cchBufferMax);
PrfQueryProgramCategory(HINI hini, PSZ pszExe);
PrfQueryProgramHandle(HINI hini, PSZ pszExe, PHPROGARRAY phprogArray, ULONG cchBufferMax, PULONG pulCount);
PrfQueryProgramTitles(HINI hini, HPROGRAM hprogGroup, PPROGTITLE pTitles, ULONG cchBufferMax, PULONG pulCount);
PrfRemoveProgram(HINI hini, HPROGRAM hprog);
PrfReset(HAB hab, PPRFPROFILE pPrfProfile);
PrfWriteProfileData(HINI hini, PSZ pszApp, PSZ pszKey, PVOID pData, ULONG cchDataLen);
PrfWriteProfileString(HINI hini, PSZ pszApp, PSZ pszKey, PSZ pszData);

* Keyboard, Mouse, and Vio calls (BSESUB.H)

KbdCharIn(PKBDKEYINFO pkbci, USHORT fWait, HKBD hkbd);
KbdClose (HKBD hkbd);
KbdDeRegister (void);
KbdFlushBuffer (HKBD hkbd);
KbdFreeFocus (HKBD hkbd);
KbdGetCp (ULONG ulReserved, PUSHORT pidCP, HKBD hkbd);
KbdGetFocus (USHORT fWait, HKBD hkbd);
KbdGetHWID (PKBDHWID pkbdhwid, HKBD hkbd);
KbdGetStatus (PKBDINFO pkbdinfo, HKBD hdbd);
KbdOpen (PHKBD phkbd);
KbdPeek (PKBDKEYINFO pkbci, HKBD hkbd);
KbdRegister (PSZ pszModName, PSZ pszEntryPt, ULONG FunMask);
KbdSetCp (USHORT usReserved, USHORT pidCP, HKBD hdbd);
KbdSetCustXt (PUSHORT usCodePage, HKBD hkbd);
KbdSetFgnd(VOID);
KbdSetHWID (PKBDHWID pkbdhwid, HKBD hkbd);
KbdSetStatus (PKBDINFO pkbdinfo, HKBD hkbd);
KbdStringIn (PCH pch, PSTRINGINBUF pchIn, USHORT fsWait, HKBD hkbd);
KbdSynch (USHORT fsWait);
KbdXlate (PKBDTRANS pkbdtrans, HKBD hkbd);
MouClose (HMOU hmou);
MouDeRegister (void);
MouDrawPtr (HMOU hmou);
MouFlushQue (HMOU hmou);
MouGetDevStatus (PUSHORT pfsDevStatus, HMOU hmou);
MouGetEventMask (PUSHORT pfsEvents, HMOU hmou);
MouGetNumButtons (PUSHORT pcButtons, HMOU hmou);
MouGetNumMickeys (PUSHORT pcMickeys, HMOU hmou);
MouGetNumQueEl (PMOUQUEINFO qmouqi, HMOU hmou);
MouGetPtrPos (PPTRLOC pmouLoc, HMOU hmou);
MouGetPtrShape (PBYTE pBuf, PPTRSHAPE pmoupsInfo, HMOU hmou);
MouGetScaleFact (PSCALEFACT pmouscFactors, HMOU hmou);
MouGetThreshold(PTHRESHOLD pthreshold, HMOU hmou);
MouInitReal (PSZ);
MouOpen (PSZ pszDvrName, PHMOU phmou);
MouReadEventQue (PMOUEVENTINFO pmouevEvent, PUSHORT pfWait, HMOU hmou);
MouRegister (PSZ pszModName, PSZ pszEntryName, ULONG flFuns);
MouRemovePtr (PNOPTRRECT pmourtRect, HMOU hmou);
MouSetDevStatus (PUSHORT pfsDevStatus, HMOU hmou);
MouSetEventMask (PUSHORT pfsEvents, HMOU hmou);
MouSetPtrPos (PPTRLOC pmouLoc, HMOU hmou);
MouSetPtrShape (PBYTE pBuf, PPTRSHAPE pmoupsInfo, HMOU hmou);
MouSetScaleFact (PSCALEFACT pmouscFactors, HMOU hmou);
MouSetThreshold(PTHRESHOLD pthreshold, HMOU hmou);
MouSynch(USHORT pszDvrName);
VioCheckCharType (PUSHORT pType, USHORT usRow, USHORT usColumn, HVIO hvio);
VioDeRegister (void);
VioEndPopUp (HVIO hvio);
VioGetAnsi (PUSHORT pfAnsi, HVIO hvio);
VioGetBuf (PULONG pLVB, PUSHORT pcbLVB, HVIO hvio);
VioGetConfig (USHORT usConfigId, PVIOCONFIGINFO pvioin, HVIO hvio);
VioGetCp (USHORT usReserved, PUSHORT pIdCodePage, HVIO hvio);
VioGetCurPos (PUSHORT pusRow, PUSHORT pusColumn, HVIO hvio);
VioGetCurType (PVIOCURSORINFO pvioCursorInfo, HVIO hvio);
VioGetFont (PVIOFONTINFO pviofi, HVIO hvio);
VioGetMode (PVIOMODEINFO pvioModeInfo, HVIO hvio);
VioGetPhysBuf (PVIOPHYSBUF pvioPhysBuf, USHORT usReserved);
VioGetState (PVOID pState, HVIO hvio);
VioGlobalReg(PSZ pszModName, PSZ pszEntryName, ULONG flFun1, ULONG flFun2, USHORT usReturn);
VioModeUndo (USHORT usOwnerInd, USHORT usKillInd, USHORT usReserved);
VioModeWait (USHORT usReqType, PUSHORT pNotifyType, USHORT usReserved);
VioPopUp (PUSHORT pfWait, HVIO hvio);
VioPrtSc (HVIO hvio);
VioPrtScToggle (HVIO hvio);
VioReadCellStr (PCH pchCellStr, PUSHORT pcb, USHORT usRow, USHORT usColumn, HVIO hvio);
VioReadCharStr (PCH pchCellStr, PUSHORT pcb, USHORT usRow, USHORT usColumn, HVIO hvio);
VioRedrawSize (PULONG pcbRedraw);
VioRegister (PSZ pszModName, PSZ pszEntryName, ULONG flFun1, ULONG flFun2);
VioSavRedrawUndo (USHORT usOwnerInd, USHORT usKillInd, USHORT usReserved);
VioSavRedrawWait (USHORT usRedrawInd, PUSHORT pNotifyType, USHORT usReserved);
VioScrLock (USHORT fWait, PUCHAR pfNotLocked, HVIO hvio);
VioScrUnLock (HVIO hvio);
VioScrollDn (USHORT usTopRow, USHORT usLeftCol, USHORT usBotRow, USHORT usRightCol, USHORT cbLines, PBYTE pCell, HVIO hvio);
VioScrollLf (USHORT usTopRow, USHORT usLeftCol, USHORT usBotRow, USHORT usRightCol, USHORT cbCol, PBYTE pCell, HVIO hvio);
VioScrollRt (USHORT usTopRow, USHORT usLeftCol, USHORT usBotRow, USHORT usRightCol, USHORT cbCol, PBYTE pCell, HVIO hvio);
VioScrollUp (USHORT usTopRow, USHORT usLeftCol, USHORT usBotRow, USHORT usRightCol, USHORT cbLines, PBYTE pCell, HVIO hvio);
VioSetAnsi (USHORT fAnsi, HVIO hvio);
VioSetCp (USHORT usReserved, USHORT idCodePage, HVIO hvio);
VioSetCurPos (USHORT usRow, USHORT usColumn, HVIO hvio);
VioSetCurType (PVIOCURSORINFO pvioCursorInfo, HVIO hvio);
VioSetFont (PVIOFONTINFO pviofi, HVIO hvio);
VioSetMode (PVIOMODEINFO pvioModeInfo, HVIO hvio);
VioSetState (PVOID pState, HVIO hvio);
VioShowBuf (USHORT offLVB, USHORT cb, HVIO hvio);
VioWrtCellStr (PCH pchCellStr, USHORT cb, USHORT usRow, USHORT usColumn, HVIO hvio);
VioWrtCharStr (PCH pchStr, USHORT cb, USHORT usRow, USHORT usColumn, HVIO hvio);
VioWrtCharStrAtt (PCH pch, USHORT cb, USHORT usRow, USHORT usColumn, PBYTE pAttr, HVIO hvio);
VioWrtNAttr (PBYTE pAttr, USHORT cb, USHORT usRow, USHORT usColumn, HVIO hvio);
VioWrtNCell (PBYTE pCell, USHORT cb, USHORT usRow, USHORT usColumn, HVIO hvio);
VioWrtNChar (PCH pchChar, USHORT cb, USHORT usRow, USHORT usColumn, HVIO hvio);
VioWrtTTY (PCH pch, USHORT cb, HVIO hvio);
